---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libCallbacks.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2E80, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x56220, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x58160, symBinAddr: 0xE270, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x58550, symBinAddr: 0xE660, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x594F0, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x59500, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55E20, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55E24, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55E28, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x55F80, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x56038, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5603C, symBinAddr: 0xC24C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x56040, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x56044, symBinAddr: 0xC254, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x56048, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x56050, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x56060, symBinAddr: 0xC270, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x56068, symBinAddr: 0xC278, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x56070, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x56078, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x56080, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x56088, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL13BOOLEAN_ARRAY, symObjAddr: 0xFC46, symBinAddr: 0xC0B6, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL10CHAR_ARRAY, symObjAddr: 0xFC4C, symBinAddr: 0xC0BC, symSize: 0x0 }
  - { offsetInCU: 0x951C, offset: 0x951C, size: 0x8, addend: 0x0, symName: __ZL10BYTE_ARRAY, symObjAddr: 0xFC56, symBinAddr: 0xC0C6, symSize: 0x0 }
  - { offsetInCU: 0x9541, offset: 0x9541, size: 0x8, addend: 0x0, symName: __ZL11SHORT_ARRAY, symObjAddr: 0xFC5C, symBinAddr: 0xC0CC, symSize: 0x0 }
  - { offsetInCU: 0x9566, offset: 0x9566, size: 0x8, addend: 0x0, symName: __ZL9INT_ARRAY, symObjAddr: 0xFC70, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x958B, offset: 0x958B, size: 0x8, addend: 0x0, symName: __ZL10LONG_ARRAY, symObjAddr: 0xFC90, symBinAddr: 0xC100, symSize: 0x0 }
  - { offsetInCU: 0x95B0, offset: 0x95B0, size: 0x8, addend: 0x0, symName: __ZL11FLOAT_ARRAY, symObjAddr: 0xFCC0, symBinAddr: 0xC130, symSize: 0x0 }
  - { offsetInCU: 0x95D5, offset: 0x95D5, size: 0x8, addend: 0x0, symName: __ZL12DOUBLE_ARRAY, symObjAddr: 0xFCE0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x95FA, offset: 0x95FA, size: 0x8, addend: 0x0, symName: __ZL12objects_info, symObjAddr: 0x560D0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x96B9, offset: 0x96B9, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x56150, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x970B, offset: 0x970B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1B20, symSize: 0x80 }
  - { offsetInCU: 0x97A0, offset: 0x97A0, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1A70, symSize: 0xB0 }
  - { offsetInCU: 0x97FB, offset: 0x97FB, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1970, symSize: 0x100 }
  - { offsetInCU: 0x9A8E, offset: 0x9A8E, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1BA0, symSize: 0xC0 }
  - { offsetInCU: 0x9AE0, offset: 0x9AE0, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1C60, symSize: 0x220 }
  - { offsetInCU: 0x9CC5, offset: 0x9CC5, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1E80, symSize: 0xA0 }
  - { offsetInCU: 0x9D78, offset: 0x9D78, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1F20, symSize: 0x110 }
  - { offsetInCU: 0x9E6E, offset: 0x9E6E, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2030, symSize: 0x150 }
  - { offsetInCU: 0x9FCB, offset: 0x9FCB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2180, symSize: 0x30 }
  - { offsetInCU: 0xA0AC, offset: 0xA0AC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x21B0, symSize: 0x150 }
  - { offsetInCU: 0xA2A4, offset: 0xA2A4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x2300, symSize: 0x160 }
  - { offsetInCU: 0xA564, offset: 0xA564, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2460, symSize: 0x4A0 }
  - { offsetInCU: 0xA7D7, offset: 0xA7D7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2900, symSize: 0x1B0 }
  - { offsetInCU: 0xA9F2, offset: 0xA9F2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2AB0, symSize: 0xA0 }
  - { offsetInCU: 0xAAC1, offset: 0xAAC1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2B50, symSize: 0x20 }
  - { offsetInCU: 0xAAF8, offset: 0xAAF8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2B70, symSize: 0x20 }
  - { offsetInCU: 0xAB2F, offset: 0xAB2F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2B90, symSize: 0x20 }
  - { offsetInCU: 0xAC9E, offset: 0xAC9E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2BB0, symSize: 0x1A0 }
  - { offsetInCU: 0xAFBA, offset: 0xAFBA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2D50, symSize: 0x130 }
  - { offsetInCU: 0xB16A, offset: 0xB16A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x30F0, symSize: 0x1B0 }
  - { offsetInCU: 0xB459, offset: 0xB459, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x32A0, symSize: 0x80 }
  - { offsetInCU: 0xB522, offset: 0xB522, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3320, symSize: 0x6A0 }
  - { offsetInCU: 0xC0B7, offset: 0xC0B7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB7C0, symBinAddr: 0x5A30, symSize: 0xB0 }
  - { offsetInCU: 0xC12E, offset: 0xC12E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x39C0, symSize: 0x70 }
  - { offsetInCU: 0xC222, offset: 0xC222, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3A30, symSize: 0xA0 }
  - { offsetInCU: 0xC32D, offset: 0xC32D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3AD0, symSize: 0x40 }
  - { offsetInCU: 0xC423, offset: 0xC423, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3B10, symSize: 0x2B0 }
  - { offsetInCU: 0xC7C9, offset: 0xC7C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3DC0, symSize: 0xC0 }
  - { offsetInCU: 0xC90F, offset: 0xC90F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3E80, symSize: 0x10 }
  - { offsetInCU: 0xC9D1, offset: 0xC9D1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3E90, symSize: 0x220 }
  - { offsetInCU: 0xCCCE, offset: 0xCCCE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x40B0, symSize: 0x10 }
  - { offsetInCU: 0xCD2B, offset: 0xCD2B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x40C0, symSize: 0x220 }
  - { offsetInCU: 0xCFDE, offset: 0xCFDE, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E30, symBinAddr: 0x42E0, symSize: 0x10 }
  - { offsetInCU: 0xD03B, offset: 0xD03B, size: 0x8, addend: 0x0, symName: _is_primitive_type, symObjAddr: 0x9E40, symBinAddr: 0x42F0, symSize: 0xC0 }
  - { offsetInCU: 0xD064, offset: 0xD064, size: 0x8, addend: 0x0, symName: _verify_value, symObjAddr: 0x9F60, symBinAddr: 0x43B0, symSize: 0x160 }
  - { offsetInCU: 0xD0B1, offset: 0xD0B1, size: 0x8, addend: 0x0, symName: _field_callback, symObjAddr: 0xA1D0, symBinAddr: 0x4510, symSize: 0x100 }
  - { offsetInCU: 0xD16E, offset: 0xD16E, size: 0x8, addend: 0x0, symName: _string_callback, symObjAddr: 0xA2D0, symBinAddr: 0x4610, symSize: 0x130 }
  - { offsetInCU: 0xD26C, offset: 0xD26C, size: 0x8, addend: 0x0, symName: _array_callback, symObjAddr: 0xA400, symBinAddr: 0x4740, symSize: 0x220 }
  - { offsetInCU: 0xD354, offset: 0xD354, size: 0x8, addend: 0x0, symName: _heap_callback, symObjAddr: 0xA620, symBinAddr: 0x4960, symSize: 0x40 }
  - { offsetInCU: 0xD3AF, offset: 0xD3AF, size: 0x8, addend: 0x0, symName: _object_free_callback, symObjAddr: 0xA660, symBinAddr: 0x49A0, symSize: 0xA0 }
  - { offsetInCU: 0xD628, offset: 0xD628, size: 0x8, addend: 0x0, symName: _tag_objects, symObjAddr: 0xA700, symBinAddr: 0x4A40, symSize: 0x870 }
  - { offsetInCU: 0xE186, offset: 0xE186, size: 0x8, addend: 0x0, symName: _verify_objects, symObjAddr: 0xB040, symBinAddr: 0x52B0, symSize: 0x160 }
  - { offsetInCU: 0xE300, offset: 0xE300, size: 0x8, addend: 0x0, symName: __ZL5agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB1A0, symBinAddr: 0x5410, symSize: 0x620 }
  - { offsetInCU: 0xEA98, offset: 0xEA98, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB870, symBinAddr: 0x5AE0, symSize: 0x36A }
...
